uuid: 54330f4d-fd20-4df2-8ad5-c8abd597cdeb
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_revision_blog
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Node revisions (Blog post)'
source:
  plugin: d7_node_revision
  node_type: blog
process:
  nid:
    -
      plugin: get
      source: nid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  comment_node_blog/0/status:
    -
      plugin: get
      source: comment
  body:
    -
      plugin: get
      source: body
  field_files:
    -
      plugin: sub_process
      source: field_files
      process:
        target_id: fid
        display: display
        description: description
  field_images:
    -
      plugin: sub_process
      source: field_images
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_link:
    -
      plugin: field_link
      source: field_link
  field_link_domain:
    -
      plugin: get
      source: field_link_domain
  field_topics:
    -
      plugin: sub_process
      source: field_topics
      process:
        target_id: tid
  field_region:
    -
      plugin: sub_process
      source: field_region
      process:
        target_id: tid
  field_author_information:
    -
      plugin: get
      source: field_author_information
  field_blog_type:
    -
      plugin: sub_process
      source: field_blog_type
      process:
        target_id: tid
  field_author:
    -
      plugin: get
      source: field_author
  field_publication_date:
    -
      plugin: sub_process
      source: field_publication_date
      process:
        value:
          plugin: format_date
          from_format: 'Y-m-d H:i:s'
          to_format: Y-m-d
          source: value
destination:
  plugin: 'entity_revision:node'
  default_bundle: blog
migration_dependencies:
  required:
    - upgrade_d7_node_agenda
    - upgrade_d7_node_annual_report
    - upgrade_d7_node_article
    - upgrade_d7_node_author
    - upgrade_d7_node_become_a_member_slideshow
    - upgrade_d7_node_blog
    - upgrade_d7_node_conference_proceeding
    - upgrade_d7_node_cvent_event
    - upgrade_d7_node_cvent_guest
    - upgrade_d7_node_data_sites
    - upgrade_d7_node_donors
    - upgrade_d7_node_event
    - upgrade_d7_node_event_investor
    - upgrade_d7_node_event_session
    - upgrade_d7_node_event_vendor
    - upgrade_d7_node_finance_gap
    - upgrade_d7_node_forum
    - upgrade_d7_node_industry_council_member
    - upgrade_d7_node_member
    - upgrade_d7_node_members_spotlight
    - upgrade_d7_node_member_resource
    - upgrade_d7_node_page
    - upgrade_d7_node_partners
    - upgrade_d7_node_poll
    - upgrade_d7_node_post
    - upgrade_d7_node_simplenews
    - upgrade_d7_node_sme_finance_challenge
    - upgrade_d7_node_team
    - upgrade_d7_node_webform
    - upgrade_d7_node_winners
  optional: {  }
